/* Side Navigation */

/* global */

.pages-nav ul {
	margin: 0;
	padding: 1rem;
	list-style: none;
}

.pages-nav a {
	color: inherit;
	text-decoration: none;
	display: block;
	padding: 1rem 0;
}

.pages-nav li {
	position: relative;
	border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.pages-nav li:after {
	font-family: 'FontAwesome';
	content: '\f104';
	position: absolute;
	top: .75rem;
	left: 5px;
	color: var(--site2);
	font-size: 1.4rem;
}

.pages-nav li:last-child {
	border-bottom: 0;
}

.pages-nav li > span {
	display: block;
	position: relative;
	/*padding-right: 30px;*/
}

.pages-nav a:hover,
.pages-nav a:focus,
.pages-nav a.on {
	color: var(--site2);
}

.pages-nav a.on {
	font-weight: bold;
}

/* sub levels */

.pages-nav li.on > ul {
	display: block;
}

.pages-nav li > ul {
	display: none;
	margin-right: 25px;
}

/* toggle menu button */

.pages-nav button {
	position: absolute;
	top: 0;
	right: 0;

	font-family: 'FontAwesome';
	font-style: normal;

	width: 25px;
	height: 100%;

	padding: 5px;
	background: none;
	border: 0;
	color: #56bcaf;

	display: none;
}

.pages-nav button:before {
	content: '\f053';
}

.pages-nav button.opened:before {
	content: '\f078';
}

.pages-nav button.no-sub-menu {
	font-size: 80%;
	padding-top: 2px;

	display: none;
}

.pages-nav button.no-sub-menu:before {
	content: '\f1db';
}

.pages-nav button.external-link:before {
	content: '\f08e';
}

.events-grid {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(min(100%, 375px), 1fr));
	gap: 2rem;
	padding-inline: 1rem;

	& .card {
		border-color: var(--site1);
		max-width: 320px;

		& a {
			height: 300px;
			background-size: cover;
			background-position: center;
			width: 100%;
			display: block;
			height: 400px;

			& .name {
				width: 100%;
				position: absolute;
				bottom: 0;
				padding: 1rem;
				background-color: #fffffff0;
				color: var(--site1);
				font-size: calc(0.2vw + 16px);
			}

			& span {
				margin-block: 1rem;
				display: block;
				width: fit-content;
				border-radius: 100vw;
				color: #fff;
				padding: 0.2rem 1rem;
				background-color: var(--site1);
				transition: all 0.2s ease;
			}

			&:hover {
				span {
					transform: scale(1.1);
					background-color: var(--site2);
				}
			}
		}
	}
}

.see-all-events {
	padding: 4rem 1rem;
	display: flex;
	justify-content: flex-end;

	& a {
		border: 2px solid var(--site1);
		color: var(--site1);
		border-radius: 100vw;
		padding: 5px 30px;

		&:hover {
			transform: scale(1.1);
		}
	}
}



/* Side Title */

aside {
	background: #fff;
	margin-top: 2rem;
	margin-bottom: 1.5rem;
	box-shadow: 0 0 30px rgb(0 0 0 / 10%);
	border-radius: var(--radius);
	overflow: hidden;
}

.pages-nav-title {
	background: var(--site2);
	color: #fff;
	font-weight: bold;
	font-size: 1.5rem;
	margin: 0;
	padding: .75rem;
	position: relative;
}


@media (max-width: 991px) {
	aside {
		display: none;
	}
}